#menuToggle{
  display: block;
  position: relative;
  top: 18px;
  z-index: 1;  
  -webkit-user-select: none;
  user-select: none;
}

#menuToggle a{
  text-decoration: none;
  color: #fff;  
  transition: color 0.3s ease;
}

#menuToggle a:hover{
  color: tomato;
}


#menuToggle input{
    display: block;
    position: absolute;
    cursor: pointer;
    opacity: 0;
    z-index: 2;
    width: 100%;
  -webkit-touch-callout: none;
}

/*
 * Just a quick hamburger
 */
#menuToggle i{
    display: block;
    position: relative;
    border-radius: 3px;
    z-index: 1;
    color: #00305e;
    font-size: 18px;
    transform-origin: 4px 0px;
    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0), background 0.5s cubic-bezier(0.77,0.2,0.05,1.0), opacity 0.55s ease;
  }

#menu{
    text-align: left;
    position: absolute;
    width: 200px;
    margin: -159px 0 0 -30px;
    padding: 15px;
    background: #00305e;
    list-style-type: none;
    -webkit-font-smoothing: antialiased;
    transform-origin: 0% 0%;
    transform: translate(207%, 0);
    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
    top: 13em;
}

#menu li
{
    padding: 10px;
    font-size: 14px;
}

/*
 * And let's slide it in from the left
 */
#menuToggle input:checked ~ ul
{
  transform: none;
}